Name:      perl-HesiodLDAP
Version:   1.0.0
Release:   4.vision4
Summary:        Perform Hesiod-like lookups using LDAP
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/HesiodLDAP/
Source0:        http://www.cpan.org/modules/by-module/HesiodLDAP/HesiodLDAP-v%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Net::LDAP)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(version)
Requires:       perl(Net::LDAP)
Requires:       perl(Test::More)
Requires:       perl(version)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

# Dangerous things...but fix the NCSU environment
Obsoletes:  hesinfo

%description
This module was designed to be a drop-in replacement for the older
Hesiod.pm package, which was built as simply a wrapper on the hesiod
library function resolve(). This module provides the same functionality,
but uses calls to the newer LDAP database instead. We plan to end support
for hesiod on campus at some point, so this module should provide a
painless upgrade path.

%prep
%setup -q -n HesiodLDAP-v%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf $RPM_BUILD_ROOT

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

# Provide the hes and hesinfo.pl commands
ln -s %{_bindir}/hes.pl %{buildroot}%{_bindir}/hes
ln -s %{_bindir}/hes.pl %{buildroot}%{_bindir}/hesinfo.pl

%check
#./Build test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README script
%{perl_vendorlib}/*
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Tue Feb 06 2018 Charles J Brabec <brabec@ncsu.edu> - 1.0.0-4.vision4
- rename hesinfo to hesinfo.pl to avoid collision with hesiod package

* Tue Nov 28 2017 Charles J Brabec <brabec@ncsu.edu> - 1.0.0-3.vision4
- back ported Jack's fork into this copy for RHEL7

* Tue Sep 22 2015 Vision4 Importer <nobody@ncsu.edu> - 1.0.0-1.vision4
- Imported to Vision4 Repo

* Wed Mar  9 2011 Charles J Brabec <brabec@ncsu.edu> - 1.0.0-1.vision3
- Imported to Vision3 Repo

* Wed Mar 09 2011 Charles J Brabec <brabec@ncsu.edu> 1.0.0-1
- Specfile autogenerated by cpanspec 1.78.

* Mon May 10 2010 Jack Neely <jjneely@ncsu.edu> 1.0.0-3
- ported spec to the RHEL 6 beta to replace the bash ldap hes scripts
- provide the /usr/bin/hes and /usr/bin/hesinfo tools
- obsolete the RHEL provided hesinfo package

* Fri Nov 30 2007 Charles J Brabec <brabec@ncsu.edu>
- Initial RPM release.

